<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Factor/Abstract/Bool.php';

class Ssc_Service_SeoScore_Factor_DecorationUnderlined
    extends Ssc_Service_SeoScore_Factor_Abstract_Bool
{
    protected $_label = 'Content contains at least one underlined keyword.';

    public function analyze($service)
    {
        return $this->setValue($service->keywordDecorated('u',
            'text-decoration', 'underline'));
    }
}
