<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/Base.php';

class Ssc_Service_SeoScore_Helper_KeywordDecorated
    extends Ssc_Service_SeoScore_Helper_Abstract_Base
{
    public function direct($service, $tags=array(), $cssProperty, $cssValue,
        $keyword=NULL, $contentType='post_html')
    {
        $content = $service->getAnalyzeData($contentType);
        if (is_null($keyword)) {
            $keyword = $service->getanalyzeData('primary');
        }

        foreach ((array)$tags as $tag) {
            if ($service->keywordInTagContent($tag, $keyword, FALSE,
                $contentType)
            ) {
                return TRUE;
            }
        }

        return $service->keywordInPattern("~<\s*span\s[^>]*\bstyle=[\"'][^\"']*\b{$cssProperty}:\s*{$cssValue}\b[^>]*>(.*?)<\s*/\s*span\s*>~isu",
            $keyword, FALSE, $contentType);
    }
}
