/**
* SEO Scorer help library
*/

jQuery(function($) {
    $('.ssc-help-link').click(function() {
        ssc_showHelpTooltip($(this).attr('data-identifier'));
        return false;
    });

    $('#ssc-help-bkg, .ssc-help-close').click(function() {
        ssc_hideHelpTooltip();
        return false;
    });

    //
    // Functions
    //

    function ssc_hideHelpTooltip()
    {
        $('.ssc-help-block').hide();
        $('#ssc-help-bkg').hide();
    }

    function ssc_showHelpTooltip(identifier)
    {
        ssc_hideHelpTooltip();
        $('#ssc-help-bkg').show();
        $('#ssc-help-block-' + identifier).slideDown('fast');
    }
});